
package oop6_dat6_ss;

import java.io.*;
/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class WriteBinaryFile3 {
    public static void main(String[] args)
    {
        String fileName = "data3.bin";
        File aFile = new File(fileName);
        if ( ! aFile.exists()) {
            try {
                FileOutputStream aFileOutputStream = new FileOutputStream(aFile);
                // DataOutputStream unterstützt elementare Datentypen
                DataOutputStream aDataOutputStream = new DataOutputStream(aFileOutputStream);
                // 1. Anzahl intWerte, 2. intWerte...
                aDataOutputStream.writeInt(2);
                aDataOutputStream.writeInt(5);
                aDataOutputStream.writeInt(9);

                // 1. Anzahl floatWerte, 2. floatWerte ...
                aDataOutputStream.writeInt(3);
                aDataOutputStream.writeFloat(1.23f);
                aDataOutputStream.writeFloat(1.111f);
                aDataOutputStream.writeFloat(123.123f);

                // 1. Anzahl CharWerte, 2. CharWerte ...
                aDataOutputStream.writeInt(4);
                aDataOutputStream.writeChar('a');
                aDataOutputStream.writeChar('b');
                aDataOutputStream.writeChar('c');
                aDataOutputStream.writeChar('d');

                aFileOutputStream.close();
            } catch (IOException e) {
                // ...
            }
        }
    }
}
